Codes
WiiRd forum
December 10, 2023, 05:20:25 PM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News: Welcome on the new server

Update 4.3 - do NOT update!
Gecko 1.9.3.1
Should I get a USB Gecko, I wanna hack?
How do I use my USB Gecko
Where can I get WiiRd?
 
   Home   CODE DATABASE GAMEHACKING Help Search Login Register  
Pages: [1] 2
  Print  
Author Topic: Update sum-ups  (Read 13860 times)
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« on: November 19, 2008, 10:03:28 AM »

Okay, just for the heck of it.. as upgrades are making things impossible to overlook I decided to take a quick glance about the most recent updates so that you know what all of this is about in case of homebrew, the homebrew channel and Gecko OS:

System Menu 3.2 and below
  • Allows trucha-signed discs including Datel Freeloader
  • Many known bugs when it comes to homebrew entering (TP Hack, Trucha discs)
  • 3.2 only: allows the use of the so-called tool Starfall which would block disc updates and makes your Wii region free[/b]
Recommended with 3.2: Install Starfall - activate Region Free and deactivate disc updates - you can also deactivate the health warning!


System Menu 3.3 regular without shop update (3.3a)
  • Fixes the Trucha bug (they fixed 2 IOS files) - thus also disables the FreeLoader
  • Deleted savegames of the Twilight Hack Alpha versions - the TP Hack beta 0.1 however is a work-around
  • Homebrew already on the Wii remained unaffected
  • Channels from SD card are signature checked

Result for homebrew: users of hardware-modified Wiis cannot use Trucha signed discs to install the HBC anymore. Custom Channels including the HBC cannot be copied from SD card onto Wii memory.
How to downgrade to 3.2: Simply install the HBC and install the old System Menu data (IOS30, IOS31, MIOS, BC and System Menu WAD files) using Waninkoko's WAD Manager


System Menu 3.3 with shop update (3.3b)
  • Installation of unsigned or downgrading existing WAD files fails - thus illegal VC games and channels can't be installed anymore - replacing the fixed IOS files with old ones fails
  • HBC installation via WAD fails - the new homebrew channel installer however uses a secret work-around

Result for homebrew: HBC can still be installed.. custom channels cannot! VC game installation via WAD fails. Gecko OS can't use the rebooter anymore.
How to bypass VC game installation fail: Acquire IOS16, install it using Waninkoko's WAD Manager then continue installing channels using a modified WAD Installer which uses IOS16.
How to downgrade to 3.2: Install the HBC, acquire IOS16, install it using Waninkoko's WAD Manager, then continue installing old IOS files (rip an update partition of Mario Kart Wii for example) and install the System Menu 3.2 files (IOS30, IOS31, BC, MIOS and SystemMenu)

Recommendation for 3.2/3.3a users with HBC: follow the instructions on http://wiibrew.org/wiki/Wii_Shop_and_IOS51_installer


System Menu 3.4:
  • Twilight Hack beta is blocked - beta2 works
  • Several custom channels are being uninstalled - including DVDX
  • Reserves IOS slot 254 - this slot has been used by several homebrew - and homebrew being used to run copies

Result for homebrew: Still works if Twilight hack beta 2 is used - little trickier to install the HBC but it works! Also bannerbomb!
How to downgrade to 3.2: Install the HBC using the new Twilight Hack and well.. acquire IOS16, install it using Waninkoko's WAD Manager, then continue installing old IOS files (rip an update partition of Mario Kart Wii for example) and install the System Menu 3.2 files (IOS30, IOS31, BC, MIOS and SystemMenu)

Recommendation for 3.2/3.3a users with HBC: Get the http://wiibrew.org/wiki/Mii_Channel_Updater - this will install the new Mii Channel which is being shipped with 3.4


System Menu 3.5: (Korea only)
See 3.4 - nothing new added!


System Menu 4.0:
  • Twilight Hack is blocked - no new work-around as of now!
  • Reserves IOS slot 254 - this slot has been used by several homebrew - and homebrew being used to run copies (though most of them switched to 249 after 3.4 which Nintendo didn't realize)
  • IOS16 slot blocked!

Result for homebrew: Bannerbomb works!
How to downgrade to 3.2: If you had a cIOS installed before and the homebrew channel.. then you can downgrade using methods above.. if not.. you'll have to get a cIOS into your sytem. Diffiult but works.

Recommendation for 3.2/3.3a users with HBC: Get waninkoko's updater.. it will update your console and only install required data.. Twilight Hack will remain blocked.. but Trucha signed discs and related stuff works if you have modchips.. additionally WAD installation will not fail!

System Menu 4.1:
  • See 4.0 - no changes!
« Last Edit: August 03, 2009, 11:52:06 PM by Link » Logged

Romaap
Hacker
Moderator
Legendary Member
*****

Karma: 89
Posts: 1805


WWW
« Reply #1 on: November 19, 2008, 10:24:57 AM »

this will install the new Mii Channel which is being shipped with 3.2

you mean 3.4, right? Wink
Logged
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« Reply #2 on: November 19, 2008, 10:28:33 AM »

this will install the new Mii Channel which is being shipped with 3.2

you mean 3.4, right? Wink

didn't you hear about the new Mii CHannel in the super new 3.2... or wait.. uhm.. Wink

thx, corrected
Logged

Fred
The Twilight Hacker
Hacker
Sr. Member
*****

Karma: 14
Posts: 258


« Reply #3 on: November 19, 2008, 10:33:02 AM »

Yes we all heard about the new super 3.2 firmware Link.
Good sum-ups i am still using 3.2x
Logged

If someone helped you press the thank you button.
James0x57
Database Admin
Leader
Legendary Member
*****

Karma: 70
Posts: 1546

Gamertag: James0x57


WWW
« Reply #4 on: November 19, 2008, 05:51:39 PM »

Ah, this thread is exactly what I was hoping to see. Very nice man, thanks. Smiley



They don't call it the "terrible twos" for nothing!
Huh, huh, any laughs? lol


(the Wii just turned 2 today)
« Last Edit: November 19, 2008, 05:54:21 PM by James0x57 » Logged


gamerpaul611
The Uprising One
Newbie
*

Karma: 10
Posts: 34

Just remember- be smart about hacking!


« Reply #5 on: November 21, 2008, 11:50:59 PM »

Hmm... well, I've already updated to 3.4, so I'm screwed... oh well. So long as my Wii doesn't get completely bricked, I'm cool.
Logged

wiidude134
Newbie
*

Karma: 0
Posts: 5


« Reply #6 on: November 23, 2008, 09:39:44 AM »

Maybe on day we can never hack the Wii longer.

But Link can you post a new replay camera code(untestricted)
Logged
Romaap
Hacker
Moderator
Legendary Member
*****

Karma: 89
Posts: 1805


WWW
« Reply #7 on: November 23, 2008, 12:54:40 PM »

Maybe on day we can never hack the Wii longer.

But Link can you post a new replay camera code(untestricted)
what are you talking about? huh
Logged
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« Reply #8 on: November 24, 2008, 09:17:27 PM »

updated to reflect the new TP hack!
Logged

Jassim
WiiRD Legend
Hacker
Hero Member
*****

Karma: 25
Posts: 719

i came up with "legendary member" :)


« Reply #9 on: January 02, 2009, 09:19:42 PM »

Quote
Recommended with 3.2: Install Starfall - activate Region Free and deactivate disc updates - you can also deactivate the health warning![quote/]

dunno which thread it was in but w/e, i said that theres a chance removing the disc update could result in having a permanently bricked wii since ull have o way out of it coz u wont be able to update your wii to a more recent fiirmware.

that was all wrong coz starfall is a system menu patch so when you brick your wii (opera brick, AKA update brick) it overwrites starfall so JUST IN CASE some of u thought my theory could be true, its not.

sorry
Logged


do NOT pm me to request a code or if you have any problems with my code.


Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« Reply #10 on: March 27, 2009, 08:36:59 AM »

Updated to reflect 3.5 (Korea) and 4.0
Logged

justin28
Jr. Member
**

Karma: 0
Posts: 83


« Reply #11 on: March 27, 2009, 08:58:34 AM »

I updated to 4.0e is their a way i can get the datel freeloader working again or is it stuffed.I already Had the homebrew channel installed before i updated.do i need a certain ios file for it to work or something could someone help me.And are you guys surprised that gamecube action replay still works The datel workaround on that disk really must be good.
Logged
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« Reply #12 on: March 27, 2009, 10:03:35 AM »

in case you updated using Waninkoko's method you should be able to use the instructions on http://www.yafaze.com/wii/menu4.0hack.html to get yourself a patched IOS60.. that might make the Freeloader working (notice the Freeloader is tested until 3.2 and it's performing memory patches.. if it cannot locate the region check in memory it will not work).
Logged

milw0rm
Newbie
*

Karma: 0
Posts: 37


« Reply #13 on: April 22, 2009, 04:11:49 PM »

Link, there actually _is_ a workaround for the Twilight Hack on 4.0. Guys tried to hack crediars webserver, where the TwilightSDK.zip by T_T was. They didn't succeed (god bless!). There are many other exploits; look at marcans/bushings comments in the past exactly and you will recognize they have more than only one...
If they are released, is just another question... That's the point.
Logged
Link
that dev there
Moderator
Hero Member
*****

Karma: 76
Posts: 1257

I hate everyone in this community. Except for you!


WWW
« Reply #14 on: April 23, 2009, 09:44:36 AM »

I know, I know!

Just as of now.. downgrading seems to be possible in some rare cases! However not in general!

So as of now, 4.0 users are kinda doomed - if they have the HBC there are tricks to downgrade that seem to work on some Wiis.
Logged

Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!